
package de.ivu.elect.presentation.stimmeingabe.wahlen;

import javax.annotation.Nullable;
import javax.inject.Inject;
import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.stimmeingabe.boundary.StimmeingabeErfassenDescription;
import de.ivu.elect.business.stimmeingabe.boundary.direktwahl.DefaultDirektwahlStimmeingabeErfassenDescription;
import de.ivu.elect.business.wahl.entity.CommonWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.stimmeingabe.AbstractStimmeingabeGruppeStimmenErfassenView;

@OnlineHilfeId(value = "342", mehrfachVergebenOk = true)
@ViewAccessScoped
@Named(DefaultDirektwahlStimmeingabeGruppeStimmenErfassenView.COMPONENT_NAME)
@View(viewId = DefaultDirektwahlStimmeingabeGruppeStimmenErfassenView.VIEW_ID, useCase = UseCasePermission.STIMMEINGABE_ANZEIGEN)
public class DefaultDirektwahlStimmeingabeGruppeStimmenErfassenView extends AbstractStimmeingabeGruppeStimmenErfassenView {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "defaultDirektwahlStimmeingabeGruppeStimmenErfassenView";

  public static final String VIEW_ID = "/stimmeingabe/default-direktwahl-stimmeingabe-gruppe-stimmen-erfassen.xhtml";

  @Inject
  protected transient DefaultDirektwahlStimmeingabeErfassenDescription stimmeingabeErfassenDescription;

  public DefaultDirektwahlStimmeingabeGruppeStimmenErfassenView() {
    super();
  }

  @Override
  public boolean isApplicable(@Nullable Wahl wahl) {
    return CommonWahlart.BUERGERMEISTERWAHL.equalsWahlart(wahl);
  }

  @Override
  public String getViewId() {
    return VIEW_ID;
  }

  @Override
  protected StimmeingabeErfassenDescription getStimmeingabeErfassenDescription() {
    return stimmeingabeErfassenDescription;
  }

  @Override
  protected boolean isStimmeingabenGruppeStimmenDirektstimmeRendered() {
    return true;
  }

  @Override
  protected boolean isStimmeingabenGruppeStimmenListenstimmeRendered() {
    return false;
  }
}
